> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Find by details

> Find funds and mutual funds. Search by name or description and narrow the results by type, country and sector.



## OpenAPI

````yaml /api-rest/openapi/openapi_knowledge_graph.json post /v1/knowledge-graph/funds
openapi: 3.0.3
info:
  title: Bigdata Knowledge Graph API
  version: 1.0.0
  description: >-
    Access structured data from the Knowledge Graph to find companies, people,
    places, and other entities with detailed information.
servers:
  - url: https://api.bigdata.com/
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /v1/knowledge-graph/funds:
    post:
      tags:
        - Funds
      summary: Find by details
      description: >-
        Find funds and mutual funds. Search by name or description and narrow
        the results by type, country and sector.
      operationId: findFunds
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FindFundsRequest'
      responses:
        '200':
          description: Successful response with funds data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FindFundsResponse'
components:
  schemas:
    FindFundsRequest:
      type: object
      properties:
        query:
          type: string
          description: Partial or complete fund name
          example: Vanguard
        types:
          type: array
          items:
            type: string
            enum:
              - PUBLIC
              - PRIVATE
          description: The fund type can be PUBLIC or PRIVATE
          example:
            - PUBLIC
        countries:
          type: array
          items:
            type: string
          description: Country codes using the ISO 3166-1 alpha-2 format
          example:
            - US
            - LU
        sectors:
          type: array
          items:
            type: string
          description: >-
            It accepts a list of sectors that can be retrieved with the endpoint
            "/knowledge-graph/companies/sectors"
          example:
            - Financials
      description: >-
        Request body for finding funds and mutual funds. Each field is optional.
        However, you must provide at least one field to perform a valid search.
        The values a filter accepts can be listed with `GET
        /v1/knowledge-graph/funds/values/{filter}`.
      example:
        query: Vanguard
        types:
          - PUBLIC
        countries:
          - US
        sectors:
          - Financials
    FindFundsResponse:
      type: object
      properties:
        results:
          type: array
          items:
            $ref: '#/components/schemas/Fund'
          description: Array of funds results
        metadata:
          type: object
          properties:
            request_id:
              type: string
              description: Unique request identifier
              example: 2a25111e-0043-4fe2-946e-668aa5af928a
            timestamp:
              type: string
              format: date-time
              description: Response timestamp
              example: '2026-09-09T13:24:45.163695+00:00'
          required:
            - request_id
            - timestamp
        usage:
          $ref: '#/components/schemas/Usage'
          description: >-
            Present for token-billing accounts only. Reports the number of
            tokens consumed by this request.
      required:
        - results
        - metadata
    Fund:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier in the Knowledge Graph
          example: K5RNW6
        name:
          type: string
          description: Fund name
          example: Vanguard Windsor Funds - Vanguard Windsor Fund
        description:
          type: string
          description: Description
          example: Acts as Open-End Investment Fund/Unit Trust.
        type:
          type: string
          enum:
            - PUBLIC
            - PRIVATE
          description: Fund type
          example: PUBLIC
        country:
          type: string
          description: Country code (ISO 3166-1 alpha-2)
          example: US
        sector:
          type: string
          description: Sector classification
          example: Financials
      required:
        - id
        - name
      description: Fund entity with detailed information
    Usage:
      type: object
      properties:
        knowledge_graph_tokens:
          type: integer
          description: Number of tokens consumed by this request.
          example: 1
      required:
        - knowledge_graph_tokens
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````